package me.tofaa.entitylib.utils;

import me.tofaa.entitylib.EntityLib;
import java.util.logging.Level;
import java.util.logging.Logger;

public final class GithubUpdater {

    private final String org;
    private final String repo;
    private final Logger logger;

    public GithubUpdater(String org, String repo) {
        this.org = org;
        this.repo = repo;
        this.logger = EntityLib.getPlatform().getLogger();

        if (EntityLib.getApi().getSettings().shouldCheckForUpdate()) {
            if (EntityLib.getApi().getSettings().isDebugMode()) {
                logger.log(Level.INFO, "Checking for updates...");
            }

            checkForUpdates();
        }
    }

    private void checkForUpdates() {
        logger.log(Level.INFO, "Update checking disabled");
    }

    public String getOrg() {
        return org;
    }

    public String getRepo() {
        return repo;
    }
}
